--AH:ScriptId=E289B0FC-6458-42B4-BF3A-CA189D3090F7

ALTER TABLE [Connectors]
	ADD [ConnectorConfiguration_Xml] XML
GO

UPDATE [Connectors]
   SET [ConnectorConfiguration_Xml] = (SELECT [@Assembly] = 'ProGetCoreEx',
                                              [Properties/@UserName] = [User_Name],
                                              [Properties/@LegacyPassword] = [Password_Bytes],
                                              [Properties/@Timeout] = [Timeout_Period],
                                              [Properties/@LegacyFilter] = [Filter_Csv],
                                              [Properties/@MetadataCacheEnabled] = CASE WHEN [MetadataCache_Enabled_Indicator] = 'Y' THEN 'True' ELSE 'False' END,
                                              [Properties/@MetadataCacheMinutes] = CASE WHEN [MetadataCache_Enabled_Indicator] = 'Y' THEN [MetadataCache_Minutes] ELSE NULL END,
                                              [Properties/@MetadataCacheEntryCount] = CASE WHEN [MetadataCache_Enabled_Indicator] = 'Y' THEN [MetadataCache_Count] ELSE NULL END
                                          FOR XML PATH('Inedo.ProGet.Feeds.ConnectorConfig'))
  FROM [Connectors]

GO

ALTER TABLE [Connectors] DROP CONSTRAINT [CK__Connectors__MetadataCache_Count]
ALTER TABLE [Connectors] DROP CONSTRAINT [CK__Connectors__MetadataCache_Minutes]
ALTER TABLE [Connectors] DROP CONSTRAINT [CK__Connectors__Timeout_Period]
GO

ALTER TABLE [Connectors] DROP COLUMN [User_Name]
ALTER TABLE [Connectors] DROP COLUMN [Password_Bytes]
ALTER TABLE [Connectors] DROP COLUMN [Timeout_Period]
ALTER TABLE [Connectors] DROP COLUMN [Filter_Csv]
ALTER TABLE [Connectors] DROP COLUMN [MetadataCache_Enabled_Indicator]
ALTER TABLE [Connectors] DROP COLUMN [MetadataCache_Minutes]
ALTER TABLE [Connectors] DROP COLUMN [MetadataCache_Count]
